#
# NOTE: titles need to be capitalized here to work around MkDocs automatically downcasing title
# names
#
site_name: Deis Documentation
pages:
  - Home: index.md
  - Quick Start:
    - Overview: quickstart/index.md
    - Install CLI Tools: quickstart/install-cli-tools.md
    - AWS:
      - Boot: quickstart/provider/aws/boot.md
      - DNS: quickstart/provider/aws/dns.md
      - Install Workflow: quickstart/provider/aws/install-aws.md
    - GKE:
      - Boot: quickstart/provider/gke/boot.md
      - DNS: quickstart/provider/gke/dns.md
      - Install Workflow: quickstart/provider/gke/install-gke.md
    - Vagrant:
      - Boot: quickstart/provider/vagrant/boot.md
      - DNS: quickstart/provider/vagrant/dns.md
      - Install Workflow: quickstart/provider/vagrant/install-vagrant.md
    - Deploy Your First App: quickstart/deploy-an-app.md
  - Understanding Workflow:
    - Concepts: understanding-workflow/concepts.md
    - Architecture: understanding-workflow/architecture.md
    - Components: understanding-workflow/components.md
  - Installing Workflow:
    - System Requirements: installing-workflow/system-requirements.md
    - Configuring Object Storage: installing-workflow/configuring-object-storage.md
  - Using Workflow:
    - Command Line Interface: using-workflow/cli.md
    - Registering a User: using-workflow/registering-a-user.md
  - Applications:
    - Deploying Apps: applications/deploying-apps.md
    - Buildpacks: applications/using-buildpacks.md
    - Dockerfiles: applications/using-dockerfiles.md
    - Docker Images: applications/using-docker-images.md
    - Managing App Processes: applications/managing-app-processes.md
    - Managing App Configuration: applications/managing-app-configuration.md
    - Managing App Lifecycle: applications/managing-app-lifecycle.md
    - Domains and Routing: applications/domains-and-routing.md
    - SSL Certificates: applications/ssl-certificates.md
  - Managing Workflow:
    - Configuring Load Balancers: managing-workflow/configuring-load-balancers.md
    - Configuring DNS: managing-workflow/configuring-dns.md
    - Operational Tasks: managing-workflow/operational-tasks.md
    - Platform Logging: managing-workflow/platform-logging.md
    - Platform Monitoring: managing-workflow/platform-monitoring.md
    - Production Deployments: managing-workflow/production-deployments.md
    - Security Considerations: managing-workflow/security-considerations.md
    - Platform SSL: managing-workflow/platform-ssl.md
    - Upgrading Workflow: managing-workflow/upgrading-workflow.md
  - Troubleshooting:
    - Troubleshooting with kubectl: troubleshooting/troubleshooting.md
  - Roadmap:
    - Planning Process: roadmap/planning-process.md
    - Roadmap: roadmap/roadmap.md
    - Release Schedule: roadmap/release-schedule.md
    - Release Checklist: roadmap/release-checklist.md
  - Contributing:
    - Overview: contributing/overview.md
    - Design Documents: contributing/design-documents.md
    - Development Environment: contributing/development-environment.md
    - Testing: contributing/testing.md
    - Submitting a Pull Request: contributing/submitting-a-pull-request.md
    - Community: contributing/community.md
    - Triaging Issues: contributing/triaging-issues.md
    - Conduct: contributing/conduct.md
    - Maintainers: contributing/maintainers.md
  - Reference Guide:
    - Terms: reference-guide/terms.md
    - Creating a Self-Signed SSL Certificate: reference-guide/creating-a-self-signed-ssl-certificate.md
    # FIXME (bacongobbler): our custom deis theme only supports a toctree depth of 2 due to css issues
    - Controller API v2.0: reference-guide/controller-api/v2.0.md
theme_dir: themes/deis
docs_dir: src
markdown_extensions:
  - markdown_checklist.extension
  - admonition
  - codehilite
  - toc:
      permalink: True
extra_javascript:
  - static/js/adjustments.js
  - static/js/bootstrap.min.js
  - static/js/checkURL.js
google_analytics: ['UA-42867143-1', 'deis.io']
